# Initiating pay out

Pay out with unsaved card

## Creating a withdrawal transaction

<mark style="color:green;">`POST`</mark> `https://prapi.tarlanpayments.kz/transaction/api/v1/transaction/primal/pay-out`

#### Headers

| Name                                            | Type   | Description                                        |
| ----------------------------------------------- | ------ | -------------------------------------------------- |
| Authorization<mark style="color:red;">\*</mark> | String | Bearer Auto-rotation hash (see Signature Creating) |

#### Request Body

| Name                                                     | Type    | Description                                                                                                                                                                     |
| -------------------------------------------------------- | ------- | ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| amount<mark style="color:red;">\*</mark>                 | Float   | Amount of payment                                                                                                                                                               |
| project\_client\_id                                      | String  | Client ID on the project side                                                                                                                                                   |
| callback\_url                                            | String  | Project URL for sending callback with transaction status (see Sending callback)                                                                                                 |
| failure\_redirect\_url                                   | String  | Project page to which the user will be redirected after unsuccessful payment. If the value parameter was not uploaded, the redirect will be performed to success\_redirect\_url |
| merchant\_id<mark style="color:red;">\*</mark>           | Integer | Merchant ID assigned by the payment system                                                                                                                                      |
| project\_id<mark style="color:red;">\*</mark>            | Integer | <p>Project ID assigned by the payment system</p><p></p>                                                                                                                         |
| project\_reference\_id<mark style="color:red;">\*</mark> | String  | Order number on the project side                                                                                                                                                |
| success\_redirect\_url<mark style="color:red;">\*</mark> | String  | Project page to which the user will be redirected after successful payment                                                                                                      |
| shipment                                                 | String  | Shipping address                                                                                                                                                                |
| confirm\_url                                             | String  | Project URL for payment confirmation (see Payment Confirmation)                                                                                                                 |
| description<mark style="color:red;">\*</mark>            | String  | Description of payment (50 symbols)                                                                                                                                             |
| additional\_data                                         | Object  | More Options                                                                                                                                                                    |

{% tabs %}
{% tab title="200: OK Example of a successful response" %}

<pre class="language-json"><code class="lang-json"><strong>{
</strong>    "status": true,
    "message": "Success",
    "result": "https://process.tarlanpayments.kz?hash=$2a$10$nhrUYWm9sDVYqCL4LKxn9ugrdC4Pszz5wGaUsDYYIqCGc8ZA4Vu0y&#x26;transaction_id=100474"
}

</code></pre>

{% endtab %}

{% tab title="500: Internal Server Error Example of an error response" %}

<pre class="language-json"><code class="lang-json"><strong>{
</strong>    "status": false,
    "status_code": 5000,
    "message": "transaction already exists",
    "result": {}
}
</code></pre>

{% endtab %}
{% endtabs %}

Example of a CURL request:

{% code fullWidth="true" %}

```bash
curl --location 'https://prapi.tarlanpayments.kz/transaction/api/v1/transaction/primal/pay-out' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer sign' \
--data-raw '{
    "amount": 10,
    "callback_url": "https://test.site/callback_url",
    "confirm_url": "",
    "description": "999",
    "failure_redirect_url": "https://www.test.com",
    "merchant_id": 9999,
    "project_client_id": "999",
    "project_id": 9999,
    "project_reference_id": "999",
    "shipment": "",
    "success_redirect_url": "https://www.test.com",
    "additional_data": {
        "test1": "value1",
        "test2": 2
    }
}'
```

{% endcode %}

## Withdrawal of funds to a saved card

When passing the project\_client\_id parameter, the user will be able to save the card on the payment form. To save the card, the user should click "save card" on the payment form and make a successful withdrawal on this card.&#x20;

For further payments on the saved card it is necessary to pass the parameter project\_client\_id.
